security:
    # Configuration pour la production
    access_control:
        # Pages publiques
        - { path: ^/login, roles: PUBLIC_ACCESS }
        - { path: ^/register, roles: PUBLIC_ACCESS }
        - { path: ^/reset-password, roles: PUBLIC_ACCESS }
        - { path: ^/verify/email, roles: PUBLIC_ACCESS }
        - { path: ^/$, roles: PUBLIC_ACCESS }
        - { path: ^/catalog, roles: PUBLIC_ACCESS }
        - { path: ^/search, roles: PUBLIC_ACCESS }
        - { path: ^/item/, roles: PUBLIC_ACCESS }
        - { path: ^/member/, roles: PUBLIC_ACCESS }
        - { path: ^/blog, roles: PUBLIC_ACCESS }
        - { path: ^/legal, roles: PUBLIC_ACCESS }
        - { path: ^/gdpr, roles: PUBLIC_ACCESS }
        
        # Administration - STRICTEMENT RÉSERVÉ AUX ADMINISTRATEURS
        - { path: ^/admin, roles: ROLE_ADMIN }
        
        # Zones utilisateur authentifié
        - { path: ^/user, roles: ROLE_USER }
        - { path: ^/dashboard, roles: ROLE_USER }
        - { path: ^/favorites, roles: ROLE_USER }
        - { path: ^/wishlist, roles: ROLE_USER }
        - { path: ^/account, roles: ROLE_USER }
        - { path: ^/subscription, roles: ROLE_USER }
